> ## Documentation Index
> Fetch the complete documentation index at: https://upstash-qstashminimalrightbar.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Reset Index

> This endpoint deletes all vectors and all state belonging to the index.

The index will be completely empty after `/reset` is called.

## Request

This request doesn't require any additional data.

## Response

Returns `"Success"` on successful reset operation.

<RequestExample>
  ```sh curl
  curl https://better-dodo-20522-us1-vector.upstash.io/reset \
  -d ''  -H "Authorization: Bearer YOUR_TOKEN"
  ```

  ```js Node
  const url = "https://better-dodo-20522-us1-vector.upstash.io/reset"; // Replace with your index endpoint.
  const token = "YOUR_TOKEN"; // Replace with your actual token

  fetch(url, {
    method: "DELETE",
    headers: {
      Authorization: `Bearer ${token}`,
    },
  })
    .then((response) => response.json())
    .then((data) => console.log(data))
    .catch((error) => console.error("Error:", error));
  ```

  ```python Python
  import requests
  import json

  url = 'https://better-dodo-20522-us1-vector.upstash.io/reset' # Replace with your index endpoint.
  token = 'YOUR_TOKEN' # Replace with your actual token
  headers = {
      'Authorization': f'Bearer {token}',
  }

  response = requests.delete(url, headers=headers)
  print(response.json())
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK
  {
    "result" : "Success"
  }
  ```
</ResponseExample>
